---
layout: docs
page_title: targets remove-host-sources - Command
description: >-
  The "targets remove-host-sources" command removes host sources from target resources.
---

# targets remove-host-sources

Command: `targets remove-host-sources`

The `targets remove-host-sources` command lets you remove host sources from target resources.

## Example

This example removes the host sources `hsst_1234567890` and `hsst_0987654321` from a target with the ID `ttcp_1234567890`:

```shell-session
$ boundary targets remove-host-sources -id ttcp_1234567890 -host-source hsst_1234567890 -host-source hsst_0987654321
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary target remove-host-sources [options] [args]
```

</CodeBlockConfig>

### Command options

- `-host-source=<string>` -  The host source you want to remove.
You may specify multiple host sources.
- `-id=<string>` - The ID of the target you want to remove a host source from.
- `-version=<int>` - The version of the target to perform the operation on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'